using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Test.CodeFirstTest.MSSQL.Migrations
{
    /// <inheritdoc />
    public partial class addComment : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "Name2",
                table: "ProjectUser",
                newName: "Name");

            migrationBuilder.AlterTable(
                name: "TestStr",
                comment: "test commment");

            migrationBuilder.AlterColumn<string>(
                name: "NewCreateName",
                table: "ProjectUser2",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                comment: "NewCreateName",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "Name",
                table: "ProjectUser",
                newName: "Name2");

            migrationBuilder.AlterTable(
                name: "TestStr",
                oldComment: "test commment");

            migrationBuilder.AlterColumn<string>(
                name: "NewCreateName",
                table: "ProjectUser2",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldComment: "NewCreateName");
        }
    }
}
